%undefine __find_provides
%define _requires_exceptions pear(class\\|pear(templates\\|pear(vxmis.php)

Summary:	User based administration system for BananaPOS
Name:		vxmis
Version:	1.9.12
Release:	%mkrel 8
License:	GPL
Group:		Development/PHP
URL:		http://www.bananamis.com/
Source0:	http://www.bananamis.com/download/dl/%{name}-%{version}.tar.bz2
Patch1:		vxmis-1.9.12-Hashed_Cache_Lite.diff
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache-mpm >= 2.2.0
Requires(pre):	apache-mod_php php-mysql
Requires:	apache >= 2.2.0
Requires:	apache-mod_php
Requires:	php-mysql
Requires:	php-pear-Image_Barcode
BuildArch:      noarch
Obsoletes:	bhmis
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The VxMis system is a user based administration system for BhPos
v2.0.0 which is due Jan 2006.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf mis/* %{buildroot}/var/www/%{name}/
find %{buildroot}/var/www/%{name}/ -type f -name "Makefile*" | xargs rm -f

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
Alias /%{name}/ /var/www/%{name}/
<Directory /var/www/%{name}>
    Options Includes FollowSymlinks
    Allow from all
</Directory>
EOF

# fix config softlink
touch %{buildroot}%{_sysconfdir}/%{name}/config.php
pushd %{buildroot}/var/www/%{name}/
    ln -s %{_sysconfdir}/%{name}/config.php config.php 
popd

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0644,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(-,apache,root) /var/www/%{name}/config.php




%changelog
* Mon Oct 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.12-8mdv2010.0
+ Revision: 454333
- fix dependencies
- drop bogus php-Vcard patch
- drop %%post hack related to mysql-server

* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.9.12-7mdv2010.0
+ Revision: 434694
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9.12-6mdv2009.0
+ Revision: 261893
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9.12-5mdv2009.0
+ Revision: 255760
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9.12-3mdv2008.1
+ Revision: 171166
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.9.12-2mdv2008.0
+ Revision: 43873
- fix deps


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.9.12-1mdv2007.0
+ Revision: 131387
- fix deps
- Import vxmis

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.9.12-1mdk
- initial Mandriva package

